/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */

span.multiselect-native-select{
  position:relative
}

span.multiselect-native-select select{
  border :0 !important;
  clip: rect(0 0 0 0) !important;
  height: 1px !important;
  margin: -1px -1px -1px -3px !important;
  overflow: hidden !important;
  padding: 0 !important;
  position: absolute !important;
  width: 1px !important;
  left: 50%;
  top: 30px;
}

.multiselect-container {
  position: absolute;
  list-style-type: none;
  margin: 0;
  padding: 0;

  .input-group {
    margin: 5px;
  }

  > li {
    padding: 0;

    > a.multiselect-all label {
      font-weight: bold;
    }

    &.multiselect-group label {
      margin: 0;
      padding: 3px 20px 3px 20px;
      height: 100%;
      font-weight: bold;
    }

    &.multiselect-group-clickable label {
      cursor: pointer;
    }

    > a {
      padding: 0;

      > label {
        margin: 0;
        height: 100%;
        cursor: pointer;
        font-weight: normal;
        padding: 3px 20px 3px 40px;

        &.radio, &.checkbox {
          margin: 0;
        }

        > input[type="checkbox"] {
          margin-bottom:5px;
        }
      }
    }
  }
}

.btn-group > .btn-group:nth-child(2) > .multiselect.btn {
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

.form-inline .multiselect-container{

  label.checkbox, label.radio{
    padding: 3px 20px 3px 40px;
  }

  li a label{

    &.checkbox input[type="checkbox"], &.radio input[type="radio"]{
      margin-left: -20px;
      margin-right: 0;
    }
  }
}

/** multiselect **/
.multiselect .caret {
  margin-left: 0;
  position: absolute;
  right: 10px;
  top: 50%;
  margin-top: -2px;
}
